%define pyver 2.3

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Python bindings for ORBit2
Name:		pyorbit
Version:	2.24.0
Release:	%mkrel 8
License:	LGPLv2+
Group:		Development/GNOME and GTK+
URL:		http://download.gnome.org/sources/%{name}/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		pyorbit-2.24.0-linkage.patch
Requires:	ORBit2 >= 2.4.4
Requires:	libIDL >= 0.7.1
Requires:	glib2 >= 1.3.10
Requires:	python >= %pyver
Buildrequires:	libpython-devel >= %pyver
Buildrequires:	libORBit2-devel >= 2.4.4
Buildrequires:	libIDL-devel >= 0.7.1
Buildrequires:	glib2-devel >= 1.3.10

%description
pyorbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary:	Files needed to build wrappers for ORBit2 addon libraries
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%release
Requires:	libORBit2-devel

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with pyorbit

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%files
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/python?.?/site-packages/*

%files devel
%dir %{_includedir}/pyorbit-2
%{_includedir}/pyorbit-2/*.h
%{_libdir}/pkgconfig/*.pc



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.24.0-8.mga3
+ Revision: 378419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 ovitters <ovitters> 2.24.0-7.mga2
+ Revision: 209305
- clean spec

* Sat Jan 22 2011 blino <blino> 2.24.0-6.mga1
+ Revision: 32682
- imported package pyorbit

